Subject: Re: bug#8867: 24.0.50; bidi-display-reordering + lino-mode + move-up = beginning of buffer
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Thu, 14 Jul 2011 20:53:35 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 16 Jun 2011 06:05:38 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Juanma Barranquero <[email-masked]>
> > Date: Thu, 16 Jun 2011 04:00:47 +0200
> > Cc: Chen Levy <[email-masked]>, [email-masked]
> > 
> > On Thu, Jun 16, 2011 at 02:44, Stefan Monnier <[email-masked]> wrote:
> > >> 2. M-x lino-mode
> > >
> > > Tells me it doesn't know this command.
> > 
> > I think the OP meant linum-mode, and if so, the bug is real
> 
> Yes, linum-mode, and yes, it is easily reproducible.
> 
> > (bidi still has trouble with invisible text).
> 
> There's no invisible text anywhere in sight in linum.el, AFAICT.  It
> works by creating overlays with before-string properties that are
> displayed in the left margin area.  Before-strings in the margins is
> something I never tried before under bidi-display-reordering, so it's
> not a surprise it has problems.
> 
> However, since I'm working on reordering strings, which will directly
> affect this use case (and also holds off code freeze), I'm putting
> this on hold until that job is done.
> 
> > In fact, I thought this problem was already reported, but I've been
> > unable to find the relevant bug#, so perhaps no.
> 
> If you mean invisible text, it's bug #7616.

This bug should be fixed now on the trunk (revision 105208).